osl::eval::ml::KingRookBishop Class Reference

`#include <majorPiece.h>`

## Public Types

enum | { ONE_DIM = 374544 , DIM = ONE_DIM * EvalStages }

## Static Public Member Functions

static void | setUp (const Weights &weights)
template<Player King>
static MultiInt | evalOne (const NumEffectState &state)
static MultiInt | eval (const NumEffectState &state)

## Static Private Member Functions

template<Player King>
static int | index (const Square king, const Piece rook, const Piece bishop)

## Static Private Attributes

static CArray< MultiInt, 374544 > | table

## Detailed Description

Definition at line 477 of file majorPiece.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
ONE_DIM |
DIM |

Definition at line 480 of file majorPiece.h.

## Member Function Documentation

## eval()

MultiInt osl::eval::ml::KingRookBishop::eval | ( | const NumEffectState & | state | ) |

static

Definition at line 789 of file majorPiece.cc.

References evalOne().

## evalOne()

template<osl::Player P>

template MultiInt osl::eval::ml::KingRookBishop::evalOne< WHITE > | ( | const NumEffectState & | state | ) |

static

Definition at line 760 of file majorPiece.cc.

References index(), osl::Piece::isOnBoard(), osl::SimpleState::kingSquare(), osl::SimpleState::pieceOf(), and table.

Referenced by eval(), osl::eval::ml::OpenMidEndingEval::OpenMidEndingEval(), and osl::eval::ml::OpenMidEndingEval::updateSub().

## index()

template<Player King>

int osl::eval::ml::KingRookBishop::index | ( | const Square | king,
|  | const Piece | rook,
|  | const Piece | bishop )

inline static private

Definition at line 488 of file majorPiece.h.

References osl::BLACK, osl::Piece::isPromoted(), osl::Piece::owner(), osl::Piece::square(), osl::Square::x(), and osl::Square::y().

Referenced by evalOne().

## setUp()

void osl::eval::ml::KingRookBishop::setUp | ( | const Weights & | weights | ) |

static

Definition at line 750 of file majorPiece.cc.

References osl::NStages, ONE_DIM, table, and osl::eval::ml::Weights::value().

## Member Data Documentation

## table

osl::CArray< MultiInt, 374544 > osl::eval::ml::KingRookBishop::table

static private

Definition at line 486 of file majorPiece.h.

Referenced by evalOne(), and setUp().

The documentation for this class was generated from the following files:

- majorPiece.h
- majorPiece.cc